Sign inGet started

Access keys

GET
/organizations/{organizationId}/access-keys
List the access keys that are created for this organization.
Parameter query
limit
integer
Limits the number of results to return.
pageToken
string
The cursor that keeps track of the current position in the results.
reverse
boolean
Reverses the order in which the results are returned.
Payload respons
results
array of object
wajib
List of access keys.
Tampilkan atribut turunan
results.id
string
wajib
ID of the access key.
results.organizationId
string
wajib
ID of the organization that owns the access key.
results.name
string
wajib
Access key name.
results.type
string
Possible values: user, workspace, workspace-scim, service, organization
results.description
string
Access key description.
results.suffix
string
wajib
Access key suffix.
results.lastUsedAt
string
When the access key was last used.
results.createdAt
string
wajib
When the access key was created.
results.updatedAt
string
When the access key was last updated.
results.roleIds
array of string
IDs of IAM roles attached to the access key.
results.roleRefs
array of object
The list of IAM roles assigned to the access key.
Tampilkan atribut turunan
results.roleRefs.id
string
wajib
results.roleRefs.type
string
wajib
Possible values: organization, managed
results.roleRefs.workspaces
array of string
nextPageToken
string
The token to fetch the next page of results. If empty, there are no more results to fetch.
Contoh kode
curl -X GET 'https://api.bird.com/organizations/{organizationId}/access-keys' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
POST
/organizations/{organizationId}/access-keys
Create a new access key for the organization.
Payload permintaan
name
string
wajib
Access key name.
description
string
wajib
Access key description.
roleIds
array of string
IAM roles attached to this access key.
roleRefs
array of object
The list of IAM roles to assign to the access key.
Tampilkan parameter turunan
roleRefs.id
string
wajib
roleRefs.type
string
wajib
Possible values: organization, managed
roleRefs.workspaces
array of string
Payload respons
accessKey
object
wajib
The access key record.
Tampilkan atribut turunan
accessKey.id
string
wajib
ID of the access key.
accessKey.organizationId
string
wajib
ID of the organization that owns the access key.
accessKey.name
string
wajib
Access key name.
accessKey.type
string
Possible values: user, workspace, workspace-scim, service, organization
accessKey.description
string
Access key description.
accessKey.suffix
string
wajib
Access key suffix.
accessKey.lastUsedAt
string
When the access key was last used.
accessKey.createdAt
string
wajib
When the access key was created.
accessKey.updatedAt
string
When the access key was last updated.
accessKey.roleIds
array of string
IDs of IAM roles attached to the access key.
accessKey.roleRefs
array of object
The list of IAM roles assigned to the access key.
Tampilkan atribut turunan
accessKey.roleRefs.id
string
wajib
accessKey.roleRefs.type
string
wajib
Possible values: organization, managed
accessKey.roleRefs.workspaces
array of string
token
string
wajib
The token that can be used for authentication
Contoh kode
curl -X POST 'https://api.bird.com/organizations/{organizationId}/access-keys' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
GET
/organizations/{organizationId}/access-keys/{accessKeyId}
Retrieve a single access key.
Payload respons
id
string
wajib
ID of the access key.
organizationId
string
wajib
ID of the organization that owns the access key.
name
string
wajib
Access key name.
type
string
Possible values: user, workspace, workspace-scim, service, organization
description
string
Access key description.
suffix
string
wajib
Access key suffix.
lastUsedAt
string
When the access key was last used.
createdAt
string
wajib
When the access key was created.
updatedAt
string
When the access key was last updated.
roles
array of object
wajib
IAM roles attached to this access key.
Tampilkan atribut turunan
roles.accessKeysDependencyCount
integer
wajib
The number of access keys this role is assigned to.
roles.actions
array of object
Actions this role contains.
Tampilkan atribut turunan
roles.actions.name
string
wajib
The name of the action.
roles.actions.type
string
wajib
The type that the action belongs to.
roles.createdAt
string
wajib
When this role was created.
roles.description
string
Role description.
roles.id
string
wajib
ID of the role.
roles.metadata
object
Metadata for the IAM Role.
Tampilkan atribut turunan
roles.metadata.clouds
array of string
roles.name
string
wajib
Role name.
roles.organizationId
string
ID of the organization to which this role belongs.
roles.policies
array of object
wajib
IAM Policies this role contains.
Tampilkan atribut turunan
The IAM policy record.
roles.policies.createdAt
string
wajib
When the IAM Policy was created.
roles.policies.definitions
array of object
wajib
List of IAM Policy definitions.
Tampilkan atribut turunan
roles.policies.definitions.actions
array of string
wajib
A list of actions
roles.policies.definitions.conditionsAll
array of object
Tampilkan atribut turunan
roles.policies.definitions.conditionsAll.any
object
roles.policies.definitions.effect
string
wajib
The outcome of the definition if a combination of the resources and actions match.
Possible values: allow, deny
roles.policies.definitions.resources
array of string
wajib
A list of resources
roles.policies.description
string
IAM Policy description.
roles.policies.id
string
wajib
ID of the IAM Policy.
roles.policies.metadata
object
Metadata for the IAM Policy.
Tampilkan atribut turunan
roles.policies.metadata.apps
array of string
roles.policies.metadata.clouds
array of string
roles.policies.metadata.groups
array of string
roles.policies.name
string
wajib
IAM Policy name.
roles.policies.rolesDependencyCount
integer
The number of IAM Roles that depend on this IAM policy.
roles.policies.scope
string
wajib
The scope to which this policy applies.
Possible values: organization, root
roles.policies.updatedAt
string
wajib
When the IAM Policy was last updated.
roles.policies.usersDependencyCount
integer
The number of users that depend on this IAM policy.
roles.type
string
wajib
Whether this role is managed by MessageBird or by the organization.
Possible values: organization, managed
roles.updatedAt
string
wajib
When this role was last updated.
roles.usersDependencyCount
integer
wajib
The number of users this role is assigned to.
Contoh kode
curl -X GET 'https://api.bird.com/organizations/{organizationId}/access-keys/{accessKeyId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
DELETE
/organizations/{organizationId}/access-keys/{accessKeyId}
Remove the access key from the organization.
Contoh kode
curl -X DELETE 'https://api.bird.com/organizations/{organizationId}/access-keys/{accessKeyId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
PATCH
/organizations/{organizationId}/access-keys/{accessKeyId}
Update the access key's properties.
Payload permintaan
name
string
Access key name.
description
string
Access key description.
roleIds
array of string
IAM roles attached to this access key.
roleRefs
array of object
The list of IAM roles to assign to the access key.
Tampilkan parameter turunan
roleRefs.id
string
wajib
roleRefs.type
string
wajib
Possible values: organization, managed
roleRefs.workspaces
array of string
Payload respons
id
string
wajib
ID of the access key.
organizationId
string
wajib
ID of the organization that owns the access key.
name
string
wajib
Access key name.
type
string
Possible values: user, workspace, workspace-scim, service, organization
description
string
Access key description.
suffix
string
wajib
Access key suffix.
lastUsedAt
string
When the access key was last used.
createdAt
string
wajib
When the access key was created.
updatedAt
string
When the access key was last updated.
roleIds
array of string
IDs of IAM roles attached to the access key.
roleRefs
array of object
The list of IAM roles assigned to the access key.
Tampilkan atribut turunan
roleRefs.id
string
wajib
roleRefs.type
string
wajib
Possible values: organization, managed
roleRefs.workspaces
array of string
Contoh kode
curl -X PATCH 'https://api.bird.com/organizations/{organizationId}/access-keys/{accessKeyId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'